**v1.9.3**

- Fix npc titan can't perform execution

- Fix a crash happen when npcs attempting scripted execution


**v1.9.2**

- Add better npc path finding think

- Fix npc burst core damage

- Add health check on normal npc titan executions( boss titans are not affected )


**v1.9.1**

- Add kill indicator on detonating stalkers or reapers

- Reduce gunship's health and weapon damage against infantries


**v1.9.0**

- Add npc pilot tactical ability

- Add npc titan smart core and upgrade core usage


**v1.8.10**

- Fix arcball lightning can't damage gunships or npc pilots


**v1.8.9**

- Update Readme


**v1.8.8**

- Add special minimap icon for reapers and gunships

- Add generic dot minimap icon for npc pilots and prowlers

- Reduce npc pilot headshot damage

- Make gunship spawnpoints higher from ground, try to make them less likely can stuck


**v1.8.7**

- Add playlistvar `modaitdm_boss_replace_chance` to allow modify boss titan spawn

- Reduce the default chance boss titans can spawn, because they've got stronger executions

- Add more stable timer for reaper nuke sequence


**v1.8.6**

- Fix laser core damage can instant make reapers start nuke sequence

- Make all boss titans bring themselves out of doomed state on receiving battery


**v1.8.5**

- Make reaper's health bar and highlight visible during nuke sequence, so it's easier to recognize their team

- Redirect score to any valid attacker if a titan ejects and their last attacker already being cleaned up, try to make score blanking less likely to happen


**v1.8.4**

- Fix a crash related with classic execution

- Fix classic execution visual effect


**v1.8.3**

- Stalkers now always detonate themselves no matter what kills them, unless they're killed by headshot damage

- Fix stalkers don't detonate themselves when getting stepped by titans at low health

- Fix stalkers won't detonate themselves after being killed by plasma railgun or scorch's thermite

- Make owner can kill their hacked spectres... This might be vanilla behavior?


**v1.8.2**

- Fix stalker can deal doubled explosion damage on getting stepped by titans

- Add melee capability after a stalker's right arm is dismembered


**v1.8.1**

- Rework stalkers:

    - They won't get overloaded in any critical hit, that only happens when their health is very low

    - Their body parts won't be dismembered in any shot, have to receive enough damage before becoming crawling

    - They'll always try to detonate themselves after being killed by titans

- Nerf npc burst core damage against titans

- Fix crash happen when a spectre or stalker getting headshot at by other npcs

- Make npc titan unable to be executed when playing scripted animation, to prevent bad execution sequence


**v1.8.0**

- Add much wider spawn point search for titans and prevent them spawning together at one point

- Try to fix crash happens when cleaning up idle prowlers

- Make all boss titans reward themselves a battery after execution

- Add battery reward support for classic executions( eg. monarch with energy thief )

- Make npcs don't target eject flight npc pilots often

- Specialist grunt's health now scales up based on current team's spawn level


**v1.7.16**

- Fix player archon crashes server when performing execution

- Fix npc titan become unarmed after using ion prime execution


**v1.7.15**

- Fix brute4 gets infinite cluster ammo for their quad rocket after execution

- Fix titans have longer weapon deploy time after execution


**v1.7.14**

- Add alternative core ability for npc Legion and Monarch


**v1.7.13**

- Fix npc titan nuke eject dealing extremely high damage


**v1.7.12**

- Rename playlistvar `classic_execution_enabled` to `classic_execution`

- Remove classic embark bind together with classic executions

- Fix npc pilot become invincible after failed to embark

- Add `random_titan_execution`. Titans will pick random execution used by current chassis

- Make npc gunship less likely to be targeted by ground units, reduce max health

- Make npc titans more aggresive on searching for enemy titans

- Make Playlistvar settings able to impact npc spawn order( no longer forced to use spectre->stalker->reaper->titan order )

- Make classic rodeo more stable


**v1.7.11**

- Update Readme


**v1.7.10**

- Fix npc pilot's melee range

- Add more weapons for grunts and spectres

- Remove modified double barrel shotgun file

- Fix classic execution ragdoll and visibility stuffs


**v1.7.9**

- Revert "v1.7.6: Fix player unable to call in titan after failed to Respawn As Titan"... I can't figure out how to rework earn meter after this. Temporary remove the fix, at least the gamemode can be running properly

- Add Northstar v1.20.0 compatibility


**v1.7.8**

- Fix titan core meter always display as 100% when respawn as titan while watching replay


**v1.7.7**

- Fix npc pilot can flee from titan

- Fix atlas classic execution's weird sequence duration, fix bad emarking animation

- Make specialist grunt throw grenades more often, disable their ability to switch to pistol


**v1.7.6**

- Fix npc pilot combat behavior

- Fix player unable to call in titan after failed to Respawn As Titan

- Add sound event for titan classic executions

- Fix Archon's modified audio compatibility


**v1.7.5**

- Fix player always gain an extra electric smoke when earning from no smoke in inventory


**v1.7.4**

- Add Classic Executions( turned on through playlistvar `classic_execution 1` )

- Fix first person executions crash if player is target

- Fix npc titan ejecting animation


**v1.7.3**

- Fix a crash that happens when player "Out of sync with server"


**v1.7.2**

- Fix a runtime error caused by npc pilot weapon attachment


**v1.7.1**

- Revert "v1.6.10: Fix spectres can be hacked multiple time"... it is vanilla behavior! Kinda funny one

- Fix npc pilot's incorrect weapon damage

- Add more weapons for npc pilot

- Fix npc Vanguard-Class titan's rodeo sound

- Add Classic Rodeo fix( turned on through playlistvar `classic_rodeo 1`, rodeo damage can be modified through playlistvar `classic_rodeo_damage_scale` )

- Add back first person executions. It's added by Northstar but was missing in this mod before this version


**v1.7.0**

- Update Readme

- Add PlaylistVar settings... maybe too much complicated but idk how to make them better

- Add localization for Private Match Settings if installed on client-side

- Merge gunship spawn into reaper score event


**v1.6.12**

- Make npc Vanguard-Class titan's health bar visible

- Fix npcs targeting embarking npc pilots

- Fix npc friendly highlights


**v1.6.11**

- Add better npc pilot ejecting behavior, reduce the chance they get stuck in rooftop or somewhere


**v1.6.10**

- Fix spectres can be hacked multiple time


**v1.6.9**

- Make reaper unable to melee rodeo player when they're targeting the titan

- Add attachments for npc weapons


**v1.6.8**

- Update Readme

- Add NPC Gunship spawn

- Add compatibility with Northstar v1.19.9


**v1.6.7**

- Fix incorrect release package that causes game to crash or having chinese localizations


**v1.6.6**

- Update Readme


**v1.6.5**

- Fix Brute4 compatibility

- Make infantry with AT weapon don't running around when titan getting close

- Remove npc specialist grunt spawn with stalkers

- Balance npc specialist grunt weapons( buff elite-guard grunts and nerf sniper grunts )

- Increase stalker health

- Balance stalker weapons( buff epg, softball and nerf smr )

- Remove prowler squad spawns and replace with normal prowlers

- Increase prowler health

- Increase the damage prowlers dealt to titans and reapers

- Fix npc not switching to AT weapon on player embarking

- Add dangerous area for npc titan( excluded player owned titans ) and reaper's drop spot

- Make npcs don't target other npc titans( excluded player owned titans ) in bubble shield

- Make npc titan unable to melee rodeo player when they're targeting the titan


**v1.6.4**

- Fix incorrect kill replay callsign display when killed by a npc

- Fix player gain an extra electric smoke when respawn as titan with Overcore

- Fix a crash that may happen during intro spawn


**v1.6.3**

- Add compatibility with following update: [PR#701](https://github.com/R2Northstar/NorthstarMods/pull/701)


**v1.6.2**

- Fix a client script error related with npc arcball weapons


**v1.6.1**

- Fix titan loadout selection crash when enabled TitanFrameWork


**v1.6.0**

- Add compatibility with [TitanFrameWork](https://northstar.thunderstore.io/package/The_Peepeepoopoo_man/Titanframework/)

- Add NPC Archon if you have installed the mod [MoblinArchon](https://northstar.thunderstore.io/package/GalacticMoblin/MoblinArchon/), and NPC Brute4 spawns if installed [DinorushBrute4](https://northstar.thunderstore.io/package/Dinorush/DinorushBrute4/)


**v1.5.3**

- Use spawn waves for npc spawn to make it more stable

- Use custom execution chooser for npcs

- Add compatibility with following update: [PR#554](https://github.com/R2Northstar/NorthstarMods/pull/554)


**v1.5.2**

- Bug fixes about compilation


**v1.5.1**

- Add npc titan rodeo countermeasure( electric smoke )


**v1.5.0**

- Add compatibility with Northstar v1.18.0